Subject: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: "Drew Adams" <[email-masked]>
Date: Sun, 8 Mar 2009 13:17:10 -0700

> > Anyway, I wouldn't go for such adventures before Emacs 23.1 is
> > released.  Until then, I'd simply not set COLUMNS when pop-up-frames
> > is non-nil.
> 
> I'm not sure we should make *any* change to this before the release.

Why? Why is fixing this bug an "adventure"? Just set COLUMNS to 80 in the places
you currently set it to the previous `frame-width'. There is no case where using
the previous frame's width DTRT for the text formatting, and there are cases
where it does the wrong thing. And the fix is simple.

The code after the fix will be just as good in the cases where there is no bug
today, and it will remove the bugged case. The code will also be much simpler.
This is just a case of removing inappropriate cruft.

It's one thing to put off either wish-list enhancements or complex bug fixes
before the release. I see no reason this fix can't be applied now. You claimed
the code and the fix are non-trivial, but that doesn't seem to be the case.